### Method

# Template Scope peek

#### Declaration

    TmplSymbol*
    tmpl_scope_peek (
      TmplScope* self,
      const gchar* name
    )

#### Description

If the symbol could not be found, `NULL` is returned.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `TmplSymbol`

A `TmplSymbol` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.